summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2016-12-20 21:35:51 -0500
committerTavian Barnes <tavianator@tavianator.com>2016-12-20 21:36:52 -0500
commit4b6e5737241feacc0764e56e438cabee2ff3429e (patch)
treeef2feba7aa9ee59d5c63284e7002ae4b6b7193cf /tests.sh
parent11e8c667f62ef3a1a0b099013352ba6053595142 (diff)
downloadbfs-4b6e5737241feacc0764e56e438cabee2ff3429e.tar.xz
Implement -mnewer
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/tests.sh b/tests.sh
index 8d9a49b..3e936e0 100755
--- a/tests.sh
+++ b/tests.sh
@@ -745,9 +745,19 @@ function test_0119() {
bfs_diff basic -uid "$(id -un)"
}
+function test_0120() {
+ [ "$BSD" ] || return 0
+ bfs_diff times -mnewer times/a
+}
+
+function test_0121() {
+ [ "$BSD" ] || return 0
+ bfs_diff -H times -mnewer times/l
+}
+
result=0
-for i in {1..119}; do
+for i in {1..121}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then